/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.ikonsol.model.SusunKonsolidasi;

/**
 *
 * @author Imam Bhoim
 */
@Remote
public interface SusunKonsolidasiEjbHome {
    
    public List<SusunKonsolidasi> findAll();
    
    public SusunKonsolidasi findByID(int id);

    public SusunKonsolidasi createNew();

    public SusunKonsolidasi save(SusunKonsolidasi obj);

    public SusunKonsolidasi update(SusunKonsolidasi obj);
    
        public SusunKonsolidasi updateStatus(SusunKonsolidasi obj);

    public void delete(int id);
    
     public List<SusunKonsolidasi> findAllByTahun(int tahun);
     
     
    public SusunKonsolidasi updatePemda(SusunKonsolidasi obj);
    
    
    
}
